Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.sensorml
Class GeoPositionModel

    java.lang.Object
      org.deegree.ogcwebservices.sos.sensorml.LocationModel
          org.deegree.ogcwebservices.sos.sensorml.GeoPositionModel

    public class GeoPositionModel

extends LocationModel

represents a GeoPositionModel; please read the SensorML spec

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Matthias Kulbe , last edited by: $Author:wanhoff$

Constructor Summary
`GeoPositionModel(String id, Identifier[] identifiedAs, Classifier[] classifiedAs, Discussion[] description, EngineeringCRS sourceCRS, CoordinateReferenceSystem referenceCRS, Object[] usesParametersObjects)`

Method Summary
`Object[]` | `getUsesParametersObjects()`

Methods inherited from class org.deegree.ogcwebservices.sos.sensorml.LocationModel
`getClassifiedAs, getDescription, getId, getIdentifiedAs, getReferenceCRS, getSourceCRS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoPositionModel

    public GeoPositionModel(String id,
                            Identifier[] identifiedAs,
                            Classifier[] classifiedAs,
                            Discussion[] description,
                            EngineeringCRS sourceCRS,
                            CoordinateReferenceSystem referenceCRS,
                            Object[] usesParametersObjects)

Parameters:
  `id` -
  `identifiedAs` -
  `classifiedAs` -
  `description` -
  `sourceCRS` -
  `referenceCRS` -
  `usesParametersObjects` - cannot be null

Method Detail

### getUsesParametersObjects

    public Object[] getUsesParametersObjects()

  Returns:
    usesParametersObjects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org